Bug 1001434 - texlive-latexpand requires perl-Pod-Usage
texlive-latexpand requires perl-Pod-Usage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 00:18 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-11-10 03:02 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2013-3.20131021_r31961.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 03:02:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-08-27 00:18:55 EDT
Description of problem:
latexpand from the texlive suite requires perl-Pod-Usage to run. It's a missing Requires.

Version-Release number of selected component (if applicable):
texlive-latexpand-svn28402.0-0.1.fc19.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run latexpand input.tex > output.tex
2.
3.

Actual results:
Fails with error:

[asinha@ankur  head-cell-ensemble-review(master)]$ latexpand review-nc.tex > complete-combined.tex
Can't locate Pod/Usage.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/bin/latexpand line 9.
BEGIN failed--compilation aborted at /usr/bin/latexpand line 9.

Expected results:
Should run as expected

Additional info:
Installing perl-Pod-Usage fixes the error and gets it to run.
Comment 1 Fedora Update System 2013-10-17 06:54:25 EDT
texlive-2013-1.20131014_r31898.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc20
Comment 2 Fedora Update System 2013-10-17 06:57:15 EDT
texlive-2013-1.20131014_r31898.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/texlive-2013-1.20131014_r31898.fc19
Comment 3 Fedora Update System 2013-10-17 16:25:05 EDT
Package texlive-2013-1.20131014_r31898.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing texlive-2013-1.20131014_r31898.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19153/texlive-2013-1.20131014_r31898.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-21 10:14:39 EDT
texlive-2013-2.20131019_r31948.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/texlive-2013-2.20131019_r31948.fc18
Comment 5 Fedora Update System 2013-11-10 03:02:10 EST
texlive-2013-3.20131021_r31961.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.